$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_msi = 'https://github.com/starship/starship/releases/download/v1.15.0/starship-x86_64-pc-windows-msvc.msi'
$url_i686_msi = 'https://github.com/starship/starship/releases/download/v1.15.0/starship-i686-pc-windows-msvc.msi'
$checksum_x86_64_msi = '926BDCA0883BD32F11AE06A18DE3B2B8A1CC48876876CC5C8597DFDE56912E50'
$checksum_i686_msi = 'F84EC222A21F0B4FAF6748B313E3252D4640666663554C2BA0388EA5334A03EE'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'msi'
    url            = $url_i686_msi
    url64bit       = $url_x86_64_msi
    checksum       = $checksum_i686_msi
    checksum64     = $checksum_x86_64_msi
    checksumType   = 'sha256'
    softwareName   = 'starship*'
    silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
    validExitCodes = @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
